// Copyright (c) 2024 Celestino Amoroso (celestino.amoroso@gmail.com).
// All rights reserved.

// t_operator_test.go
package expr

import (
	"testing"
)

func TestOperator(t *testing.T) {
	section := "Operator"
	inputs := []inputType{
		/*   1 */ {`a=1; unset "a"; a`, nil, `undefined variable or function "a"`},
		/*   2 */ {`a=1; unset ["a", "b"]`, int64(1), nil},
		/*   3 */ {`f=func(){3}; unset "f()"`, int64(1), nil},
	}

	// t.Setenv("EXPR_PATH", ".")

	//runTestSuiteSpec(t, section, inputs, 3)
	runTestSuite(t, section, inputs)
}
